security.d/chk_homespace

changeset 0
8ba6a0e2d2ca
child 14
59e07bba67cc
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/security.d/chk_homespace	Sat Mar 31 13:32:06 2007 +0200
@@ -0,0 +1,69 @@
+#!/bin/bash
+#
+# $Id$
+#
+#############################################################################
+# Copyright (C) 2005
+#   
+# Michiel Broek               <mbse@mbse.dds.nl>
+# Beekmansbos 10
+# 1971 BV IJmuiden
+# the Netherlands
+#
+# This file is part of SlackSecCheckSripts.
+#
+# This package is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2, or (at your option) any
+# later version.
+#
+# SlackSecCheckSripts is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with MBSE BBS; see the file COPYING.  If not, write to the Free
+# Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+#############################################################################
+
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+
+umask 077
+TZ=UTC; export TZ
+MP=/etc/passwd
+LANG=C; export LANG
+
+SECUREDIR=`mktemp -d /tmp/_securedir.XXXXXX` || exit 1
+
+trap "/bin/rm -rf $SECUREDIR ; exit 0" EXIT INT QUIT PIPE
+
+if ! cd "$SECUREDIR"; then
+        echo "Can not cd to $SECUREDIR".
+        exit 1
+fi
+
+MPBYPATH=secure1.$$
+OUTPUT=secure2.$$
+
+
+# These are used several times.
+#
+awk -F: '{ print $1 " " $3 " " $6 }' $MP > $MPBYPATH
+
+
+while read name uid  homedir; do
+    if [ -d ${homedir}/ ] && [ "`expr $uid \>= 1000`" == "1" ]; then
+	USAGE=`du -s --block-size=1048576 -h $homedir | cut -f 1`
+	SPACE=`df -khTP $homedir | tail -n 1 | awk '{ print $3 }'`
+	printf -- "%-16s  %6s  %6s  $homedir\n" $name $USAGE $SPACE
+    fi
+done < $MPBYPATH > $OUTPUT
+if [ -s $OUTPUT ] ; then
+    printf -- "\n        Diskspace used by users.\n\n"
+    printf -- "Username            used    size  homedirectory\n"
+    printf -- "----------------  ------  ------  -------------\n"
+    cat $OUTPUT
+fi
+

mercurial